problèmes avec lilypond sur Mac OS X

Bonjour

je viens de découvrir lilypond. je voudrais bien l'utiliser sous mac OS X, mais la compilation de l'exemple fourni me conduit à un message d'erreur qui est:

ERROR: In procedure dynamic-link:
ERROR: file: "libguile-srfi-srfi-1-v-3", message: "dlcompat: file \"/Applications/LilyPond.app/Contents/Resources/bin/../lib/libguile-srfi-srfi-1-v-3.3.dylib\" not found"

quelqu'un pourrait-il me dépanner?
Merci

Monique C.

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
  et tout demeure
  Mais notre affaire est de passer
  De passer en traçant
  Des chemins
  Des chemins sur la mer
  Voyageur, le chemin
  C'est les traces
  de tes pas
  C'est tout ; voyageur,
  il n'y a pas de chemin,
  Le chemin se fait en marchant
  Et quand tu regardes en arrière
  Tu vois le sentier
  Que jamais
  Tu ne dois à nouveau fouler
  Voyageur! Il n'y a pas de chemins
  Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

Bonjour

Bonjour et bienvenue sur la liste des lilyPondeurs francophones,

je viens de découvrir lilypond. je voudrais bien l'utiliser sous mac
OS X, mais la compilation de l'exemple fourni me conduit à un message

Comme l'a indiqué Han-Wen, il serait intéressant que vous nus
précisiez quelle version de LilyPond vous avez téléchargée (Menu
"LilyPond", item "à propos"), ainsi que la version de votre système
d'exploitation (Menu pomme, item "à propos de ce Mac").

Vous devez savoir que le développement de LilyPond, comme pour
beaucoup de logiciels libres (Linux au premier chef), s'articule
autour de deux logiques : la version stable, numérotée en nombres
pairs (2.10.n actuellement), qui est en principe la plus fiable et la
mieux débugguée; et la version de développement, en nombres impairs
(2.11.n) qui préfigure l'avenir de LilyPond, si je puis dire, mais au
prix de quelques bogues occasionnels.

En l'occurence, si vous avez la version de développement, il serait
sûrement intéressant d'essayer de télécharger la version stable pour
faire l'essai (Han-Wen ayant apparemment fait quelques modifications
un peu hardies dans la toute dernière version de développement).

Cordialement,
Valentin Villenave.

···

Le 13/04/07, monique combescure maison<****@****> a écrit :

je suis sur MacOS 10.4 et ca marche.
Quelles versions avez-vous ?
Peut-etre est-ce un problème de droits d'accès : lancer une vérification des droits avec l'utilitaire disque et une réparation ensuite si il y a des erreurs.

···

Bonjour

je viens de découvrir lilypond. je voudrais bien l'utiliser sous mac OS X, mais la compilation de l'exemple fourni me conduit à un message d'erreur qui est:

ERROR: In procedure dynamic-link:
ERROR: file: "libguile-srfi-srfi-1-v-3", message: "dlcompat: file \"/Applications/LilyPond.app/Contents/Resources/bin/../lib/libguile- srfi-srfi-1-v-3.3.dylib\" not found"

quelqu'un pourrait-il me dépanner?
Merci

Monique C.

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
et tout demeure
Mais notre affaire est de passer
De passer en traçant
Des chemins
Des chemins sur la mer
Voyageur, le chemin
C'est les traces
de tes pas
C'est tout ; voyageur,
il n'y a pas de chemin,
Le chemin se fait en marchant
Et quand tu regardes en arrière
Tu vois le sentier
Que jamais
Tu ne dois à nouveau fouler
Voyageur! Il n'y a pas de chemins
Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

ma version de mac OS X est 10.3.9. Je ne comprends pas votre message. Dois-je actualiser pour avoir 10.4 ? Si oui comment?
merci

pas forcément, il faudrait d'abord etre sûr que lilypond supporte la 10.3.9, c'est peut-être indiqué sur le site.
J'ai pas trop le temps en ce moment, je regarderai ce soir.

···

Monique
Le 16 avr. 07, à 09:42, denis queffeulou a écrit :

je suis sur MacOS 10.4 et ca marche.
Quelles versions avez-vous ?
Peut-etre est-ce un problème de droits d'accès : lancer une vérification des droits avec l'utilitaire disque et une réparation ensuite si il y a des erreurs.

Bonjour

je viens de découvrir lilypond. je voudrais bien l'utiliser sous mac OS X, mais la compilation de l'exemple fourni me conduit à un message d'erreur qui est:

ERROR: In procedure dynamic-link:
ERROR: file: "libguile-srfi-srfi-1-v-3", message: "dlcompat: file \"/Applications/LilyPond.app/Contents/Resources/bin/../lib/libguile- srfi-srfi-1-v-3.3.dylib\" not found"

quelqu'un pourrait-il me dépanner?
Merci

Monique C.

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
et tout demeure
Mais notre affaire est de passer
De passer en traçant
Des chemins
Des chemins sur la mer
Voyageur, le chemin
C'est les traces
de tes pas
C'est tout ; voyageur,
il n'y a pas de chemin,
Le chemin se fait en marchant
Et quand tu regardes en arrière
Tu vois le sentier
Que jamais
Tu ne dois à nouveau fouler
Voyageur! Il n'y a pas de chemins
Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
et tout demeure
Mais notre affaire est de passer
De passer en traçant
Des chemins
Des chemins sur la mer
Voyageur, le chemin
C'est les traces
de tes pas
C'est tout ; voyageur,
il n'y a pas de chemin,
Le chemin se fait en marchant
Et quand tu regardes en arrière
Tu vois le sentier
Que jamais
Tu ne dois à nouveau fouler
Voyageur! Il n'y a pas de chemins
Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

J'ai fait "vérification des abonnements" et "réparer les abonnements" ... et ça me donne le même message d'erreur à la compilation !
bien à vous

Monique

ma version de mac OS X est 10.3.9. Je ne comprends pas votre message. Dois-je actualiser pour avoir 10.4 ? Si oui comment?
merci

pas forcément, il faudrait d'abord etre sûr que lilypond supporte la 10.3.9, c'est peut-être indiqué sur le site.
J'ai pas trop le temps en ce moment, je regarderai ce soir.

Monique

je suis sur MacOS 10.4 et ca marche.
Quelles versions avez-vous ?
Peut-etre est-ce un problème de droits d'accès : lancer une vérification des droits avec l'utilitaire disque et une réparation ensuite si il y a des erreurs.

Bonjour

je viens de découvrir lilypond. je voudrais bien l'utiliser sous mac OS X, mais la compilation de l'exemple fourni me conduit à un message d'erreur qui est:

ERROR: In procedure dynamic-link:
ERROR: file: "libguile-srfi-srfi-1-v-3", message: "dlcompat: file \"/Applications/LilyPond.app/Contents/Resources/bin/../lib/libguile- srfi-srfi-1-v-3.3.dylib\" not found"

quelqu'un pourrait-il me dépanner?
Merci

Monique C.

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
et tout demeure
Mais notre affaire est de passer
De passer en traçant
Des chemins
Des chemins sur la mer
Voyageur, le chemin
C'est les traces
de tes pas
C'est tout ; voyageur,
il n'y a pas de chemin,
Le chemin se fait en marchant
Et quand tu regardes en arrière
Tu vois le sentier
Que jamais
Tu ne dois à nouveau fouler
Voyageur! Il n'y a pas de chemins
Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
et tout demeure
Mais notre affaire est de passer
De passer en traçant
Des chemins
Des chemins sur la mer
Voyageur, le chemin
C'est les traces
de tes pas
C'est tout ; voyageur,
il n'y a pas de chemin,
Le chemin se fait en marchant
Et quand tu regardes en arrière
Tu vois le sentier
Que jamais
Tu ne dois à nouveau fouler
Voyageur! Il n'y a pas de chemins
Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Monique Combescure
IPNL, Bât. Paul Dirac, 4 rue Enrico Fermi
69622 VILLEURBANNE
Tel: 33 (0)4 72 43 19 63
Fax: 33 (0) 4 72 44 80 04
e-mail: ****@****

"Caminante no hay camino,
se hace camino al andar..."

Tout passe
  et tout demeure
  Mais notre affaire est de passer
  De passer en traçant
  Des chemins
  Des chemins sur la mer
  Voyageur, le chemin
  C'est les traces
  de tes pas
  C'est tout ; voyageur,
  il n'y a pas de chemin,
  Le chemin se fait en marchant
  Et quand tu regardes en arrière
  Tu vois le sentier
  Que jamais
  Tu ne dois à nouveau fouler
  Voyageur! Il n'y a pas de chemins
  Rien que des sillages sur la mer

Antonio Machado ( Poète espagnol, 1875-1939)

···

Le 16 avr. 07, à 10:05, denis queffeulou a écrit :

Le 16 avr. 07, à 09:42, denis queffeulou a écrit :

J'ai fait "vérification des abonnements" et "réparer les abonnements"
... et ça me donne le même message d'erreur à la compilation !
bien à vous

Monique

>
>> ma version de mac OS X est 10.3.9. Je ne comprends pas votre message.
>> Dois-je actualiser pour avoir 10.4 ? Si oui comment?

Malheureusement, il ne s'agirait pas d'une mise à jour à ce stade,
mais d'acheter tout bonnement un nouveau système et une nouvelle
licence... :frowning:

> pas forcément, il faudrait d'abord etre sûr que lilypond supporte la
> 10.3.9, c'est peut-être indiqué sur le site.
> J'ai pas trop le temps en ce moment, je regarderai ce soir.

Je peux vous confirmer que LilyPond supporte très bien Mac OSX
"Panther" 10.3 ; la dernière version que j'ai eu l'occasion de tester
sur Mac était LilyPond 2.10.16 et il n'y a eu aucun problème.

Je ferai le test avec votre version qui pose problème dès que j'en
aurai l'occasion ; cependant, vous pouvez vous-même essayer (au pif)
n'importe laquelle des versions que vous trouverez sur cette page :
http://download.linuxaudio.org/lilypond/binaries/MacOS/

Tenez-nous au courant de vos expériences ; nous finirons bien par
trouver l'origine du problème...
Cordialement;
V. Villenave

···

Le 16/04/07, monique. combescure<****@****> a écrit :

Le 16 avr. 07, à 10:05, denis queffeulou a écrit :

bon j'ai installé une 2.10.20-1 sur MacOS 10.3.9, ca marche.

Evidemment il faut prendre la version marquée 10.3 (sur http://lilypond.org/web/install/index.fr.html)

  MacOS X (G3, G4, G5 Macs) 10.3 et plus récent

Sinon moi je n'utilise pas l'application fenêtrée mais uniquement l'application en ligne de commande ce qui donne une ligne de commande (dans le terminal) du style :

./LilyPond.app/Contents/Resources/bin/lilypond toto.ly

Mais en fait l'application graphique fonctionne aussi (à condition d'utiliser des fichiers UTF8).

···

Le 16/04/07, monique. combescure<****@****> a écrit :

J'ai fait "vérification des abonnements" et "réparer les abonnements"
... et ça me donne le même message d'erreur à la compilation !
bien à vous

Monique
Le 16 avr. 07, à 10:05, denis queffeulou a écrit :

>
>> ma version de mac OS X est 10.3.9. Je ne comprends pas votre message.
>> Dois-je actualiser pour avoir 10.4 ? Si oui comment?

Malheureusement, il ne s'agirait pas d'une mise à jour à ce stade,
mais d'acheter tout bonnement un nouveau système et une nouvelle
licence... :frowning:

> pas forcément, il faudrait d'abord etre sûr que lilypond supporte la
> 10.3.9, c'est peut-être indiqué sur le site.
> J'ai pas trop le temps en ce moment, je regarderai ce soir.

Je peux vous confirmer que LilyPond supporte très bien Mac OSX
"Panther" 10.3 ; la dernière version que j'ai eu l'occasion de tester
sur Mac était LilyPond 2.10.16 et il n'y a eu aucun problème.

Je ferai le test avec votre version qui pose problème dès que j'en
aurai l'occasion ; cependant, vous pouvez vous-même essayer (au pif)
n'importe laquelle des versions que vous trouverez sur cette page :
http://download.linuxaudio.org/lilypond/binaries/MacOS/

Tenez-nous au courant de vos expériences ; nous finirons bien par
trouver l'origine du problème...
Cordialement;
V. Villenave

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr